<?php
$response = $this->response;

if (!$response->success) {
	?>
	<h1>Při načítání dat došlo k chybě</h1>
	<p>
		Chybová hláška: <strong><?php echo $response->status; ?></strong>
	</p>
	<p>
		Chybový kód: <strong><?php echo $response->statusCode; ?></strong>
	</p>
	<?php 
	return;
}
?>
<h1>Ftp</h1>
<p>
	Identifikační číslo projektu: <strong><a href="/project/get/<?php echo $this->project->directory_id; ?>"><?php echo $this->project->directory_id; ?></a></strong>
</p>
<p>
	Jméno projektu: <strong><?php echo $this->project->project_name; ?></strong>
</p>
<h2>Odeslat projekt na server</h2>
<form action="/ftp/post/<?php echo $this->project->directory_id; ?>.html" method="post">
	<p>
		Cílový server: <?php echo $this->formText("ftp[host]", "localhost"); ?>
	</p>
	<p>
		Přihlašovací jméno: <?php echo $this->formText("ftp[username]", "petr"); ?>
	</p>
	<p>
		Heslo: <?php echo $this->formText("ftp[password]", "dvanactka"); ?>
	</p>
	<p>
		Adresář na serveru: <?php echo $this->formText("ftp[remote_path]", "/"); ?>
	</p>
	<p>
		Použít label: <?php echo $this->formCheckbox("ftp[use_label]"); ?>
	</p>
	<p>
		Identifikační číslo labelu: <?php echo $this->formText("ftp[label_id]"); ?>
	</p>
	<p>
		Použít ZIP kompresi: <?php echo $this->formCheckbox("ftp[use_zip]"); ?>
	</p>
	<p>
		Cesta k DocumentRoot: <?php echo $this->formText("ftp[document_root]", "/"); ?>
	</p>
	<p>
		Cesta k rozbalení vzhledem k DocumentRoot: <?php echo $this->formText("ftp[install_path]", "/"); ?>
	</p>
	<p>
		Cílový HTTP server pro spuštění instalačního skriptu: <?php echo $this->formText("ftp[target_server]", "/"); ?>
	</p>
	<p>
		<?php echo $this->formSubmit("submit", "Odeslat"); ?>
	</p>
</form>
<h2>Logy FTP modulu k projektu</h2>
<table>
	<thead>
		<tr>
			<th>
			#
			</th>
			<th>
			Uživatel
			</th>
			<th>
			Label
			</th>
			<th>
			Odesláno
			</th>
			<th>
			Parametry spojení
			</th>
		</tr>
	</thead>
</table>